Name:           samba-dc-gpo-addons
Version:        0.4
Release:        1
Summary:        Samba AD DC GPO addons

Group:          System Environment/Base
License:        GPLv2

URL:            http://dangerous.ovirt.life/
Source0:        example-gpo-backup-%{version}.tar.gz
Source1:        GPL
Source2:        gpo_backup_generalized
Source3:        gpo_restore_specialized
Source4:        gpo_objects_dump.awk
Source5:        gpo_links_dump.awk
Source6:        gpo_entities_generalize.awk
Source7:        gpo_entities_specialize.awk
Source8:        gpo_link_with_opts_dump.awk

BuildArch:     noarch
# Note: actually, only samba-tool is required from the samba-dc package
Requires:      samba-dc >= 4.10
Requires:      bash
Requires:      coreutils
Requires:      gawk
Requires:      tar

%description
This package contains some addon utils for GPO backup and
restore to be used on a Samba AD DC, plus an example GPO set.

The example GPO set has been created using RSAT on Windows 8.1

%prep
%setup -q -c -T
install -pm 644 %{SOURCE1} .

%build

%install
rm -rf $RPM_BUILD_ROOT

# Utility scripts
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -pm 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/
install -pm 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/

# Support AWK scripts and sample GPOs backup archive
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/samba/gpo
install -pm 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/samba/gpo/
install -pm 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/samba/gpo/
install -pm 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/samba/gpo/
install -pm 644 %{SOURCE7} $RPM_BUILD_ROOT%{_datadir}/samba/gpo/
install -pm 644 %{SOURCE8} $RPM_BUILD_ROOT%{_datadir}/samba/gpo/
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}/samba/gpo/example-gpo-backup.tar.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL
%{_bindir}/*
%{_datadir}/samba/gpo

%changelog
* Thu Sep 24 2020 Giuseppe Ragusa <giuseppe.ragusa@fastmail.fm> - 0.4-1
- Updated to latest scripts, support files and GPO dumps

* Sun Sep 20 2020 Giuseppe Ragusa <giuseppe.ragusa@fastmail.fm> - 0.3-1
- Updated to latest scripts, support files and GPO dumps

* Mon Sep 14 2020 Giuseppe Ragusa <giuseppe.ragusa@fastmail.fm> - 0.2-1
- Updated to latest scripts, support files and GPO dumps

* Fri Sep 11 2020 Giuseppe Ragusa <giuseppe.ragusa@fastmail.fm> - 0.1-1
- Initial release
